:root {
  --soft-orange: hsl(35, 77%, 62%);
  --soft-red: hsl(5, 85%, 63%);
  --off-white: hsl(36, 100%, 99%);
  --grayish-blue: hsl(233, 8%, 79%);
  --dark-grayish-blue: hsl(236, 13%, 42%);
  --very-dark-blue: hsl(240, 100%, 5%);
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: 'Inter', sans-serif; 
  font-size: 15px;
  background-color: var(--off-white);
  padding: 40px 10%; 
  color: var(--very-dark-blue);
}
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 40px;
}
.nav-links ul {
  display: flex;
  list-style: none;
  gap: 35px;
}
.nav-links a {
  text-decoration: none;
  color: var(--dark-grayish-blue);
  transition: 0.3s;
  font-size: 20px;
}
.nav-links a:hover {
  color: var(--soft-red);
}
.menu-open, .menu-close {
  display: none; 
  background: none;
  border: none;
  cursor: pointer;
}
.grid-container {
  display: grid;
  grid-template-columns: 2fr 1fr; 
  grid-template-rows: auto auto;
  gap: 40px 30px;
}
.hero img {
  width: 100%;
  display: block;
}
.hero-text {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  margin-top: 25px;
}
.hero-text h1 {
  font-size: 3.5rem;
  font-weight: 800;
  line-height: 1;
}
.hero-cta p {
  color: var(--dark-grayish-blue);
  line-height: 1.6;
  margin-bottom: 30px;
}
.btn {
  background-color: var(--soft-red);
  color: var(--very-dark-blue);
  border: none;
  padding: 15px 35px;
  font-weight: 700;
  letter-spacing: 4px;
  cursor: pointer;
  text-transform: uppercase;
  transition: 0.3s;
  font-weight: bold;
}
/* .btn:hover {
  background-color: var(--very-dark-blue);
} */
.sidebar {
  background-color: var(--very-dark-blue);
  padding: 30px 25px;
}

.sidebar h2 {
  color: var(--soft-orange);
  font-size: 2.5rem;
  margin-bottom: 15px;
}
.news-item {
  border-bottom: 1px solid var(--grayish-blue);
  padding: 25px 0;
}
.news-item:last-child {
  border-bottom: none;
}
.news-item h3 {
  color: var(--off-white);
  margin-bottom: 16px;
  cursor: pointer;
  font-size: 22px;
}
.news-item h3:hover {
  color: var(--soft-orange);
}
.news-item p {
  color: var(--grayish-blue);
  font-size: 0.95rem;
  line-height: 1.5;
  font-size: 16px;
}
.bottom-section {
  grid-column: span 2;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 30px;
  margin-top: 30px;
}
.card {
  display: flex;
  gap: 20px;
}
.card img {
  width: 100px;
  height: auto;
  object-fit: cover;
}
.card-info span {
  color: var(--soft-red);
  font-size: 2rem;
  font-weight: 700;
}
.card-info h4 {
  margin: 10px 0;
  font-size: 1.1rem;
  cursor: pointer;
  transition: 0.3s;
}
.card-info h4:hover {
  color: var(--soft-red);
}
.card-info p {
  color: var(--grayish-blue);
  font-size: 0.9rem;
  line-height: 1.5;
}
@media (max-width: 480px) {
  body {
    padding: 20px 5%;
  }
  .navbar {
    margin-bottom: 25px;
  }
  .menu-open {
    display: block;
  }
  .nav-links {
    position: fixed;
    top: 0;
    right: -100%;
    width: 70%;
    height: 100vh;
    background: var(--off-white);
    z-index: 1000;
    padding: 100px 30px;
    transition: 0.4s ease-in-out;
    box-shadow: -10px 0 50px rgba(0,0,0,0.1);
  }
  .nav-links.active {
    right: 0;
  }
  .nav-links ul {
    flex-direction: column;
    gap: 25px;
  }
  .nav-links a {
    font-size: 1.2rem;
    color: var(--very-dark-blue);
  }
  .menu-close {
    display: block;
    position: absolute;
    top: 30px;
    right: 30px;
  }
  .grid-container {
    grid-template-columns: 1fr;
  }
  .hero-text {
    grid-template-columns: 1fr;
  }
  .hero-text h1 {
    font-size: 2.5rem;
  }
  .bottom-section {
    grid-column: span 1;
    grid-template-columns: 1fr;
    gap: 35px;
  }
  .overlay.active {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 500;
  }
}